# siri

This repository serves as a SIRI Knowledge Base.
SIRI stands for Service Interface for Real-time information.
SIRI is standardised by [CEN](https://www.cencenelec.eu/about-cen/).

## Initiatives/ Projects

* [MTA Bus Time](./mta.md)

## Implementations

It follows an alphabetically ordered list of implementations known by now.

* [afimb/siri_api](https://github.com/afimb/siri_api/issues/1)
* [afimb/siri_lite](https://github.com/afimb/siri_lite)
* [afimb/irys](https://github.com/afimb/irys)
* [appeltonen/realtime-siri-mean](https://github.com/appeltonen/realtime-siri-mean): archived repo
* [availabs/MTA_Subway_GTFS-Realtime_to_SIRI_Converter](https://github.com/availabs/MTA_Subway_GTFS-Realtime_to_SIRI_Converter)
* [availabs/MTA_Subway_SIRI_Server](https://github.com/availabs/MTA_Subway_SIRI_Server)
* [department-for-transport-BODS/bods](https://github.com/department-for-transport-BODS/bods)
* [enRoute/Ara](https://bitbucket.org/enroute-mobi/ara/src/master/)
* [entur/anshar](https://github.com/entur/anshar)
* [etalab/transpo-rt](https://github.com/etalab/transpo-rt/)
* [livarb/transitmap-realtime](https://github.com/livarb/transitmap-realtime)
* [OneBusAway/onebusaway-siri](https://github.com/OneBusAway/onebusaway-siri)
* [OneBusAway/onebusaway-gtfs-realtime-from-siri-cli](https://github.com/OneBusAway/onebusaway-gtfs-realtime-from-siri-cli)
* [VDVde/OJP](https://github.com/VDVde/OJP): uses SIRI somehow
* [ITxPT/DATA4PTTools](https://github.com/ITxPT/DATA4PTTools)

## National SIRI Profiles

* [France](http://www.normes-donnees-tc.org/profils/)
* [Switzerland](https://transportdatamanagement.ch/content/uploads/2020/11/SIRI_Realisation-Guide_PT_CH_V0.868.pdf)
* [Nordic](https://enturas.atlassian.net/wiki/spaces/PUBLIC/pages/637370420/Nordic+SIRI+Profile)
* [UK](https://www.gov.uk/government/publications/technical-guidance-publishing-location-data-using-the-bus-open-data-service-siri-vm/technical-guidance-siri-vm)

## Links

* [SIRI by Winfried Bruns with VDV](https://datex2.eu/user_forum/2_Bruns_SIRI.pdf)
* [SIRI web site](http://www.siri.org.uk/)
* [SIRI VDV web site](https://www.vdv.de/siri.aspx)
* [SIRI schema](http://www.siri.org.uk/schema/schemas.htm)
* [SIRI-SX Part 5 2009 E](https://www.siri.org.uk/schema/1.3/doc/SIRI-SX/CEN%20TS_00278181-5-SX-Extension_E_-v20.pdf)
* [SIRI-FM Part 4 2008 E](https://www.siri.org.uk/schema/1.3/doc/SIRI-FM/CEN%20TS_00278181-4-FM-FacilityMonitoring-v0.95.pdf)
* [SIRI Handbook & Functional Service Diagrams](https://siri.org.uk/schema/1.3/doc/Handbook/Handbookv15.pdf)
* [SIRI official Git Repo](https://github.com/SIRI-CEN/SIRI)
* [Another SIRI Git Repo](https://github.com/bliksemlabs/SIRI)
* [Open Journey Planer](https://github.com/VDVde/OJP)
* [SIRI - Resources and documentation](https://data4pt-project.eu/wp-content/uploads/2021/06/7-SIRI-Resources-and-documentation.pdf)
* [SIRI web site](https://siri-cen.eu/home.aspx)
* [Transmodel](https://www.transmodel-cen.eu/)
* [NETEX](https://netex-cen.eu/)
* [Data4PT](https://data4pt-project.eu/)
* [Data4PT Wiki](https://data4pt.org/w/index.php?title=SIRI)